<div class="banner">
</div>
<mat-spinner *ngIf="this.loading"></mat-spinner>
<div class="banner-overlay">
  <span style="display: flex; align-items: center;">

    <div class="title-div">
      <button mat-icon-button (click)="navigateBack()" type="button">
        <mat-icon class="back">
          arrow_back
        </mat-icon>
      </button>

      <p class="title" *ngIf="!serviceDescription.service_title"> Add Service
        Description
      </p>
      <p class="title" *ngIf="serviceDescription.service_title"> Edit Service
        Description </p>
    </div>
  </span>
  <span class="vp-template">
    <button mat-raised-button type="button" (click)="downloadVPTemplate()"
      class="service-desc-button"><span>
      Download verifiable presentation template
      </span><mat-icon>download</mat-icon></button>
    <span class="json-size">(10 Ko - JSON) </span>
  </span>
</div>
<p class="add-service-description" *ngIf="!serviceDescription.service_title">
    Create your service description by automatically uploading your service description verifiable presentation or enter the information manually.
</p>

<div *ngIf="!this.loading">


  <form class="main-form" [formGroup]="form" (ngSubmit)="submit()">
    <app-file-upload acceptedType=".json" acceptedTypeName=".json" (submittedFile)="uploadVP($event)">
    </app-file-upload>
    <mat-accordion class="example-headers-align" multi>
      <mat-expansion-panel expanded>
        <mat-expansion-panel-header>
          <mat-panel-title>
            <svg width="18" height="22" viewBox="0 0 18 22" fill="none" xmlns="http://www.w3.org/2000/svg">
              <path fill-rule="evenodd" clip-rule="evenodd" d="M4.25
                1.66663C4.25 1.25241 4.58579 0.916626 5 0.916626H13C13.4142
                0.916626 13.75 1.25241 13.75 1.66663V2.24996H17C17.4142 2.24996
                17.75 2.58575 17.75 2.99996V19C17.75 20.1506 16.8173 21.0833
                15.6667 21.0833H2.33333C1.18274 21.0833 0.25 20.1506 0.25
                19V2.99996C0.25 2.58575 0.585786 2.24996 1
                2.24996H4.25V1.66663ZM4.25 3.74996H1.75V19C1.75 19.3221 2.01117
                19.5833 2.33333 19.5833H15.6667C15.9888 19.5833 16.25 19.3221
                16.25 19V3.74996H13.75V4.33329C13.75 5.48389 12.8173 6.41663
                11.6667 6.41663H6.33333C5.18274 6.41663 4.25 5.48389 4.25
                4.33329V3.74996ZM5.75 2.41663V4.33329C5.75 4.65546 6.01117
                4.91663 6.33333 4.91663H11.6667C11.9888 4.91663 12.25 4.65546
                12.25 4.33329V2.41663H5.75Z" fill="#000F8E" />
            </svg>
            Presentation
          </mat-panel-title>
          <mat-panel-description>
          </mat-panel-description>
        </mat-expansion-panel-header>

        <div class="service-name-div">
          <span class="service-name">

            <mat-form-field appearance="standard" class="service-name-input" [ngClass]="'visible'">
              <input matInput formControlName="service_title" placeholder="Service title"
                (change)="setservice_title($event)">
            </mat-form-field>
          </span>
          <p class="company-name">by
            {{companyName}}</p>
        </div>
        <mat-form-field appearance="standard">
          <mat-label>Description</mat-label>
          <textarea matInput matTextareaAutosize placeholder="Describe your service" matAutosizeMinRows=1
            matAutosizeMaxRows=5 formControlName="description"></textarea>
        </mat-form-field>

        <div></div>

        <mat-form-field appearance="standard">
          <mat-label>Terms and conditions</mat-label>
          <textarea matInput matTextareaAutosize placeholder="Link to the service's terms and conditions"
                    matAutosizeMaxRows=5 matAutosizeMinRows=1 formControlName="termsAndConditions"></textarea>
          <mat-error *ngIf="form.get('termsAndConditions')?.errors && form.get('termsAndConditions')?.errors?.['invalidUrl']">
            The URL format is invalid.
          </mat-error>
          <mat-error *ngIf="form.get('termsAndConditions')?.errors && form.get('termsAndConditions')?.errors?.['unresolvableUrl']">
            The URL cannot be resolved.
          </mat-error>
        </mat-form-field>

        <div class="service-types">
          <p class="expansion-panel-small">Type of service</p>
          <mat-button-toggle-group name="types" aria-label="Types" class="types-toggle" formControlName="service_type"
            multiple>
            <mat-button-toggle [value]="type" *ngFor="let type of
                  service_type">{{type}}</mat-button-toggle>
          </mat-button-toggle-group>

        </div>
        <div class="service-layers">
          <p class="expansion-panel-small">Layer</p>
          <mat-radio-group aria-label="Select an option" class="layers-group" formControlName="layer">
            <mat-radio-button class="layer-button" [value]="i" [checked]="this.serviceDescription.layer.toLowerCase()
                  == i.toLowerCase()" *ngFor="let i of serviceLayers">{{i}}</mat-radio-button>
          </mat-radio-group>
        </div>
      </mat-expansion-panel>
      <mat-expansion-panel expanded *ngIf="getDataSetVisible()">
        <mat-expansion-panel-header>
          <mat-panel-title>
            <svg width="22" height="22" viewBox="0 0 22 22" fill="none" xmlns="http://www.w3.org/2000/svg">
              <path fill-rule="evenodd" clip-rule="evenodd" d="M1.75 11C1.75
                    5.89137 5.89137 1.75 11 1.75C16.1086 1.75 20.25 5.89137
                    20.25 11C20.25 16.1086 16.1086 20.25 11 20.25C5.89137 20.25
                    1.75 16.1086 1.75 11ZM11 0.25C5.06294 0.25 0.25 5.06294 0.25
                    11C0.25 16.9371 5.06294 21.75 11 21.75C16.9371 21.75 21.75
                    16.9371 21.75 11C21.75 5.06294 16.9371 0.25 11 0.25ZM9.51926
                    4.35875C9.71739 3.995 9.58312 3.5395 9.21937 3.34137C8.85561
                    3.14324 8.40011 3.2775 8.20198 3.64126C7.09766 5.66873
                    6.43758 7.9221 6.28229 10.25H4C3.58579 10.25 3.25 10.5858
                    3.25 11C3.25 11.4142 3.58579 11.75 4 11.75H6.28229C6.43758
                    14.0779 7.09766 16.3313 8.20198 18.3587C8.40011 18.7225
                    8.85561 18.8568 9.21937 18.6586C9.58312 18.4605 9.71739
                    18.005 9.51926 17.6413C8.53391 15.8322 7.93872 13.8249
                    7.78597 11.75H14.214C14.0613 13.8249 13.4661 15.8322 12.4807
                    17.6413C12.2826 18.005 12.4169 18.4605 12.7806
                    18.6586C13.1444 18.8568 13.5999 18.7225 13.798
                    18.3587C14.9023 16.3313 15.5624 14.0779 15.7177
                    11.75H18C18.4142 11.75 18.75 11.4142 18.75 11C18.75 10.5858
                    18.4142 10.25 18 10.25H15.7177C15.5624 7.9221 14.9023
                    5.66873 13.798 3.64126C13.5999 3.2775 13.1444 3.14324
                    12.7806 3.34137C12.4169 3.5395 12.2826 3.995 12.4807
                    4.35875C13.4661 6.16778 14.0613 8.17513 14.214
                    10.25H7.78597C7.93872 8.17513 8.53391 6.16778 9.51926
                    4.35875Z" fill="#000F8E" />
            </svg>
            Data Product
          </mat-panel-title>
        </mat-expansion-panel-header>
        <span>
          <form [formGroup]="dataProductForm" class="locations-formgroup" (keydown.enter)="onEnterKey($event)">
            <div class="fields-row">
              <div class="input-fields">
                <mat-form-field class="location-form">
                  <mat-label>Data domains</mat-label>
                  <input matInput #dataDomain (keyup.enter)="addDomain(dataDomain)">
                </mat-form-field>
                <div class="hash-container">
                  <button mat-icon-button type="button" class='addDataSetButton' (click)="addDomain(dataDomain)">
                    <mat-icon>
                      add
                    </mat-icon>
                  </button>
                  <ng-container *ngFor="let domain of dataProductForm.value.dataDomains; let i = index">
                    <button mat-stroked-button color="primary" class="hash-item">
                      {{ domain }}
                    </button>
                    <button mat-icon-button type="button" class='addDataSetButton' (click)="removeDomain(i)">
                      <mat-icon>
                        remove
                      </mat-icon>
                    </button>
                  </ng-container>
                </div>
              </div>
            </div>
            <div class="fields-row">
              <div class="input-fields">
                <mat-form-field class="location-form">
                  <mat-label>Policies</mat-label>
                  <input matInput #policiesRef (keyup.enter)="addPolicy(policiesRef)">
                </mat-form-field>
                <div class="hash-container">
                  <button mat-icon-button type="button" class='addDataSetButton' (click)="addPolicy(policiesRef)">
                    <mat-icon>
                      add
                    </mat-icon>
                  </button>
                  <ng-container *ngFor="let policy of dataProductForm.value.policies; let i = index">
                    <button mat-stroked-button color="primary" class="hash-item">
                      {{ policy }}
                    </button>
                    <button mat-icon-button type="button" class='addDataSetButton' (click)="removePolicy(i)">
                      <mat-icon>
                        remove
                      </mat-icon>
                    </button>
                  </ng-container>
                </div>

              </div>
            </div>
            <div class=" form-field-wrapper">
              <mat-form-field class="location-form first-row">
                <mat-label>Obsolete date</mat-label>
                <input matInput [matDatepicker]="obsoleteDatepicker" formControlName="obsoleteDateTime"
                  [min]="minObsoleteDate" [max]="maxObsoleteDate" (dateChange)="onDateChange()">
                <mat-datepicker-toggle matSuffix [for]="obsoleteDatepicker"></mat-datepicker-toggle>
                <mat-datepicker #obsoleteDatepicker></mat-datepicker>
                <mat-error *ngIf="hasError('obsoleteDateTime', 'obsoleteNotBeforeExpiration')">
                  Obsolete date must be before expiration date.
                </mat-error>
              </mat-form-field>
              <mat-form-field class="location-form">
                <mat-label>Expiration date</mat-label>
                <input matInput [matDatepicker]="expirationDatepicker" formControlName="expirationDateTime"
                  [min]="minExpirationDate" (dateChange)="onDateChange()">
                <mat-error
                  *ngIf="hasError('expirationDateTime', 'issuanceNotBeforeExpiration') && dataProductForm.get('issuedDateTime')?.value">
                  Expiration date should be after the issuance date.
                </mat-error>
                <mat-datepicker-toggle matSuffix [for]="expirationDatepicker"></mat-datepicker-toggle>
                <mat-datepicker #expirationDatepicker></mat-datepicker>
              </mat-form-field>
            </div>
            <div class="form-field-wrapper">

              <mat-form-field class="location-form">
                <mat-label>Consent</mat-label>
                <input matInput aria-label="consent" formControlName="consent" [matAutocomplete]="consent">
                <mat-autocomplete #consent="matAutocomplete">
                  <mat-option [value]="'Yes'">
                    <span>Yes</span>
                  </mat-option>
                  <mat-option [value]="'No'">
                    <span>No</span>
                  </mat-option>
                </mat-autocomplete>
              </mat-form-field>
              <mat-form-field class="location-form first-row" *ngIf="isConsentChecked()">
                <mat-label>Data controller</mat-label>
                <input matInput aria-label="dataController" formControlName="dataController">
              </mat-form-field>

            </div>

            <div class="fields-row">
              <div class="input-fields">
                <div class="hash-container">
                  <mat-button-toggle class="dataSetAddButon" (click)="openDataSetForm()">Add a
                    dataset</mat-button-toggle>
                  <mat-error *ngIf="dataProductForm.value.aggregationof?.length == 0">
                    You must add at least one dataset.
                  </mat-error>
                  <ng-container *ngFor="let dataset of dataProductForm.value.aggregationof; let i = index;">
                    <button mat-stroked-button color="primary" class="hash-item" (click)="openDataSetForm(dataset)">
                      {{ dataset.title }}
                    </button>
                  </ng-container>
                </div>
              </div>
            </div>
          </form>
        </span>
      </mat-expansion-panel>
      <mat-expansion-panel expanded>
        <mat-expansion-panel-header>
          <mat-panel-title>
            <svg width="22" height="22" viewBox="0 0 22 22" fill="none" xmlns="http://www.w3.org/2000/svg">
              <path fill-rule="evenodd" clip-rule="evenodd" d="M1.75 11C1.75
                    5.89137 5.89137 1.75 11 1.75C16.1086 1.75 20.25 5.89137
                    20.25 11C20.25 16.1086 16.1086 20.25 11 20.25C5.89137 20.25
                    1.75 16.1086 1.75 11ZM11 0.25C5.06294 0.25 0.25 5.06294 0.25
                    11C0.25 16.9371 5.06294 21.75 11 21.75C16.9371 21.75 21.75
                    16.9371 21.75 11C21.75 5.06294 16.9371 0.25 11 0.25ZM9.51926
                    4.35875C9.71739 3.995 9.58312 3.5395 9.21937 3.34137C8.85561
                    3.14324 8.40011 3.2775 8.20198 3.64126C7.09766 5.66873
                    6.43758 7.9221 6.28229 10.25H4C3.58579 10.25 3.25 10.5858
                    3.25 11C3.25 11.4142 3.58579 11.75 4 11.75H6.28229C6.43758
                    14.0779 7.09766 16.3313 8.20198 18.3587C8.40011 18.7225
                    8.85561 18.8568 9.21937 18.6586C9.58312 18.4605 9.71739
                    18.005 9.51926 17.6413C8.53391 15.8322 7.93872 13.8249
                    7.78597 11.75H14.214C14.0613 13.8249 13.4661 15.8322 12.4807
                    17.6413C12.2826 18.005 12.4169 18.4605 12.7806
                    18.6586C13.1444 18.8568 13.5999 18.7225 13.798
                    18.3587C14.9023 16.3313 15.5624 14.0779 15.7177
                    11.75H18C18.4142 11.75 18.75 11.4142 18.75 11C18.75 10.5858
                    18.4142 10.25 18 10.25H15.7177C15.5624 7.9221 14.9023
                    5.66873 13.798 3.64126C13.5999 3.2775 13.1444 3.14324
                    12.7806 3.34137C12.4169 3.5395 12.2826 3.995 12.4807
                    4.35875C13.4661 6.16778 14.0613 8.17513 14.214
                    10.25H7.78597C7.93872 8.17513 8.53391 6.16778 9.51926
                    4.35875Z" fill="#000F8E" />
            </svg>
            Location
          </mat-panel-title>
        </mat-expansion-panel-header>

        <p class="panel-subtitle">Select ONE location for which the
          service is described </p>
        <span class="locations-display">
          <mat-radio-group style="display: flex; flex-wrap:wrap;" aria-label="Select an option"
            formControlName="location" class="layers-group">
            <mat-radio-button class="layer-button" [value]="location" *ngFor="let location of locations"
              [checked]="checkLocation(location)"><ng-container>{{location.country_name}}</ng-container>
              <ng-container *ngIf="location.state">- {{location.state}}</ng-container><ng-container>
                - {{location.urban_area}}</ng-container></mat-radio-button>
          </mat-radio-group>
          <button mat-icon-button type="button" [ngClass]="showAddLocation
                  ?
                  'stop-add-location' : 'add-location'" (click)="showAddLocation=
                  !showAddLocation">
            <mat-icon *ngIf="!showAddLocation">
              add
            </mat-icon>
            <mat-icon *ngIf="showAddLocation" style="color:white;">
              remove
            </mat-icon>
          </button>
        </span>
        <form [formGroup]="locationsForm" [hidden]="!showAddLocation" class="locations-formgroup">
          <mat-form-field class="location-form">
            <mat-label>Country</mat-label>
            <input matInput aria-label="Country" [matAutocomplete]="auto" formControlName="countryForm"
              (focusout)="getState()">
            <mat-autocomplete #auto="matAutocomplete">
              <mat-option *ngFor="let country of filteredCountries |
                      async" [value]="country.name">
                <span>{{country.name}}</span>
              </mat-option>
            </mat-autocomplete>
          </mat-form-field>

          <mat-form-field class="location-form">
            <mat-label>State/dpt</mat-label>
            <input matInput aria-label="State" [matAutocomplete]="autostate" formControlName="stateForm"
              (focusout)="getUrbanArea()">
            <mat-autocomplete #autostate="matAutocomplete">
              <mat-option *ngFor="let state of filteredStates | async" [value]="state.name">
                <span>{{state.name}}</span>
              </mat-option>
            </mat-autocomplete>
          </mat-form-field>
          <mat-form-field class="location-form">
            <mat-label>Urban Area</mat-label>
            <input matInput aria-label="City" [matAutocomplete]="autocity" formControlName="urbanAreaForm">
            <mat-autocomplete #autocity="matAutocomplete">
              <mat-option *ngFor="let city of filteredCities | async" [value]="city.name">
                <span>{{city.name}}</span>
              </mat-option>
            </mat-autocomplete>
          </mat-form-field>

          <button mat-flat-button color="primary" type="button" (click)="addLocation()"
            [disabled]="!locationsForm.valid">Add
            Location</button>
        </form>
      </mat-expansion-panel>
      <mat-expansion-panel expanded>
        <mat-expansion-panel-header>
          <mat-panel-title>
            <p>
                <svg width="26" height="26" viewBox="0 0 18 19" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd" clip-rule="evenodd" d="M9
                    1.4375C4.5472 1.4375 0.9375 5.0472 0.9375 9.5C0.9375 13.9528
                    4.5472 17.5625 9 17.5625C13.4528 17.5625 17.0625 13.9528 17.0625
                    9.5C17.0625 5.0472 13.4528 1.4375 9 1.4375ZM2.0625 9.5C2.0625
                    5.66852 5.16852 2.5625 9 2.5625C12.8315 2.5625 15.9375 5.66852
                    15.9375 9.5C15.9375 13.3315 12.8315 16.4375 9 16.4375C5.16852
                    16.4375 2.0625 13.3315 2.0625 9.5ZM13.1477 6.89775C13.3674 6.67808
                    13.3674 6.32192 13.1477 6.10225C12.9281 5.88258 12.5719 5.88258
                    12.3523 6.10225L7.59375 10.8608L5.64775 8.91475C5.42808 8.69508
                    5.07192 8.69508 4.85225 8.91475C4.63258 9.13442 4.63258 9.49058
                    4.85225 9.71025L7.196 12.054C7.41567 12.2737 7.77183 12.2737
                    7.9915 12.054L13.1477 6.89775Z" fill="#000F8E"/>
                </svg>
            </p>
            <p>Compliance references and other criteria claims</p>
          </mat-panel-title>
        </mat-expansion-panel-header>

        <div class="subtitle-div">
          <p class="panel-subtitle">Add your compliance references and
            other criteria claims related to this location</p>
        </div>

        <mat-tab-group class="tab-group">
          <mat-tab label="Security">
            <span class="ref-button-wrapper">
              <button class="claim-ref-button" type="button" *ngFor="let reference
                          of filterClaimsBy('Security')" (click)="addClaimsReference(reference)" mat-stroked-button>
                {{reference['aster-conformity:hasComplianceReferenceTitle']}}
                <mat-icon>add</mat-icon>
              </button>
            </span>

          </mat-tab>
          <mat-tab label="Data Protection">
            <span class="ref-button-wrapper"><button type="button" class="claim-ref-button" *ngFor="let reference of
                          filterClaimsBy('Data Protection')" (click)="addClaimsReference(reference)"
                mat-stroked-button>
                {{reference['aster-conformity:hasComplianceReferenceTitle']}}
                <mat-icon>add</mat-icon>
              </button></span>

          </mat-tab>
          <mat-tab label="Climate Neutrality">
            <span class="ref-button-wrapper"><button type="button" class="claim-ref-button" *ngFor="let reference of
                          filterClaimsBy('Climate Neutrality')" (click)="addClaimsReference(reference)"
                mat-stroked-button>
                {{reference['aster-conformity:hasComplianceReferenceTitle']}}
                <mat-icon>add</mat-icon>
              </button></span>

          </mat-tab>
          <mat-tab label="Data Porting">
            <span class="ref-button-wrapper"><button type="button" (click)="addClaimsReference(reference)"
                class="claim-ref-button" *ngFor="let reference of
                          filterClaimsBy('Data Porting')" mat-stroked-button>
                {{reference['aster-conformity:hasComplianceReferenceTitle']}}
                <mat-icon>add</mat-icon>
              </button></span>

          </mat-tab>
          <mat-tab label="Other">
            <span class="ref-button-wrapper"><button type="button" (click)="addClaimsReference(reference)"
                class="claim-ref-button" *ngFor="let reference of
                          filterClaimsBy('Other')" mat-stroked-button>
                {{reference['aster-conformity:hasComplianceReferenceTitle']}}
                <mat-icon>add</mat-icon>
              </button></span>

          </mat-tab>
        </mat-tab-group>

        <span class="separator-horizontal"></span>

        <div class="ref-cards-wrapper">
          <mat-card *ngFor="let claim of
                      serviceDescription.complianceReferenceClaims" class="claim-card">
            <mat-card-header>
              <mat-card-title>
                <span class="icon-circle icon-circle-invalid" *ngIf="claim.status !== 'Signed'">
                  <mat-icon style="color:white;">cached</mat-icon>
                </span>

                <span class="icon-circle icon-circle-valid" *ngIf="claim.status === 'Signed'">
                  <mat-icon style="color:white;">done</mat-icon>
                </span>
                {{claim.title}}
                <div [class.spinner-small]="claim.processing"></div>
              </mat-card-title>
            </mat-card-header>
            <mat-card-content class="claim-card-content">
              <span class="claim-files">
                <p *ngIf="claim.file">{{claim.file.name}}</p>
                <button mat-icon-button type="button" (click)="deleteFile(claim)"
                  *ngIf="claim.file"><mat-icon>close</mat-icon></button>
                <p *ngIf="!claim.file">No files uploaded</p>
              </span>
              <span class="claim-buttons">
                <button mat-stroked-button type="button" class="claim-edit-button"
                  (click)="openDialog(claim)">Edit</button>
                <button mat-stroked-button type="button" class="claim-edit-button"
                  (click)="deleteClaim(claim)">Delete</button>
              </span>
            </mat-card-content>
          </mat-card>
        </div>
      </mat-expansion-panel>

      <mat-expansion-panel hideToggle class="prevent-click">
        <mat-expansion-panel-header>
          <mat-panel-title class="panel-questionnaire-title">
            <p>
              <svg width="18" height="22" viewBox="0 0 18 22" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path fill-rule="evenodd" clip-rule="evenodd" d="M4.25
                            1.66663C4.25 1.25241 4.58579 0.916626 5
                            0.916626H13C13.4142
                            0.916626 13.75 1.25241 13.75
                            1.66663V2.24996H17C17.4142 2.24996
                            17.75 2.58575 17.75 2.99996V19C17.75 20.1506 16.8173
                            21.0833
                            15.6667 21.0833H2.33333C1.18274 21.0833 0.25 20.1506
                            0.25
                            19V2.99996C0.25 2.58575 0.585786 2.24996 1
                            2.24996H4.25V1.66663ZM4.25 3.74996H1.75V19C1.75
                            19.3221 2.01117
                            19.5833 2.33333 19.5833H15.6667C15.9888 19.5833
                            16.25 19.3221
                            16.25 19V3.74996H13.75V4.33329C13.75 5.48389 12.8173
                            6.41663
                            11.6667 6.41663H6.33333C5.18274 6.41663 4.25 5.48389
                            4.25
                            4.33329V3.74996ZM5.75 2.41663V4.33329C5.75 4.65546
                            6.01117
                            4.91663 6.33333 4.91663H11.6667C11.9888 4.91663
                            12.25 4.65546
                            12.25 4.33329V2.41663H5.75Z" fill="#000F8E" />
              </svg>
              Fulfill the mandatory self-assessment questionnaire
              for complementary criteria
            </p>
            <span style="display: flex; justify-content:flex-end;">
              <button mat-flat-button color="accent" type="button" class="questionnaire-button"
                (click)="$event.stopPropagation();openQuestionnaire()">Access
                the
                questionnaire</button>
            </span>

          </mat-panel-title>
        </mat-expansion-panel-header>
      </mat-expansion-panel>

    </mat-accordion>


    <div class="submit-buttons-div" style="vertical-align:middle;
                  margin-bottom: 6em; margin-top:
                  2em;">
      <button mat-stroked-button (click)="saveAsDraft()" type="button" class="btn" [class.spinner]="buttonLoading"
        [disabled]="checkFormValidityForDraft()">
        Save as draft
      </button>
      <div matTooltip="Please fill out all the required fields"
        [matTooltipDisabled]="serviceDescription.complianceQuestionnaire">
        <button mat-raised-button color="primary" class="btn submit-button" (click)="submit()"
          [class.spinner]="generatingVP" [disabled]="!checkFormValidity()">
          Submit
        </button>
      </div>
    </div>
  </form>
</div>
